﻿
using System;

using MindFusion.Diagramming;
using System.Drawing;


namespace Controls
{
	public partial class Default : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			if (!IsPostBack)
			{
				// add some nodes to the NodeListView
				string[] shapes = new string[] { "Actor", "RoundRect", "Triangle", "Decision" };
				for (var i = 0; i < shapes.Length; ++i)
				{
					var node = new MindFusion.Diagramming.ShapeNode();
					node.Text = shapes[i];
					node.Shape = Shape.FromId(shapes[i]);
					nodeList.AddNode(node, shapes[i]);
				}

				var d = diagramView.Diagram;

				var c1 = d.Factory.CreateContainerNode(10, 30, 50, 30);
				c1.CaptionFormat = new StringFormat { Alignment = StringAlignment.Near };
				c1.Caption = "left";
				c1.RotationAngle = 270;

				var c2 = d.Factory.CreateContainerNode(70, 30, 50, 30);
				c2.CaptionFormat = new StringFormat { Alignment = StringAlignment.Center };
				c2.Caption = "center";
				c2.RotationAngle = 270;

				var c3 = d.Factory.CreateContainerNode(40, 90, 50, 30);
				c3.CaptionFormat = new StringFormat { Alignment = StringAlignment.Far };
				c3.Caption = "right";
				c3.RotationAngle = 270;

				diagramView.Behavior = Behavior.DrawContainers;
			}
		}
	}
}